Bug 4785 - SVG Issue:some files don't bind the default namespace
SVG Issue:some files don't bind the default namespace
Status: RESOLVED NOTOURBUG
Product: openclipart.org
Classification: Unclassified
Component: clipart
unspecified
All All
: high normal
Assigned To: default user for a product
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-16 11:31 UTC by Stephen Silver
Modified: 2010-08-18 03:23 UTC (History)
1 user (show)

See Also:


Attachments
list of files in release 0.18 with this problem (56.08 KB, text/plain)
2005-10-16 11:35 UTC, Stephen Silver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Silver 2005-10-16 11:31:25 UTC
SVG files should bind the default namespace (and should not just rely on the DTD
to do this, since non-validating parsers need not read the DTD). See the
discussion on the OCAL mailing list

  http://lists.freedesktop.org/pipermail/clipart/2005-September/004301.html

and this Mozilla bug:

  https://bugzilla.mozilla.org/show_bug.cgi?id=307813

So SVG files in the OCAL collection that don't do this need to be fixed. A list
of these files can be obtained using my SVGscan script

  http://www.argentum.freeserve.co.uk/svgscan/

by running

  python svgscan.py -none -warn=no_namespace .

in the top clipart directory. In release 0.18 there are 240 such files, not
counting the 1375 star_*step.svg files.
Comment 1 Stephen Silver 2005-10-16 11:35:19 UTC
Created attachment 3565 [details]
list of files in release 0.18 with this problem
Comment 2 ryanlerch 2006-10-12 22:02:19 UTC
encompassed by the new feature request - https://bugs.freedesktop.org/
show_bug.cgi?id=8627
Comment 3 Ruud Steltenpool 2006-12-19 13:54:27 UTC
This can be very easily fixed well in advance of proper SVG validation on upload.

Can't some maintainer (code and then) run the following and fix many, if not all
problem files:

if ($SVGnamespaceURL isn't substring of fileContent, but "<svg" is exactly once){
        replace '<svg' with '<svg xmlns="$SVGnamespaceURL"'

Comment 4 Tollef Fog Heen 2010-08-18 03:23:32 UTC
Closing all openclipart bugs as openclipart is now on launchpad, as per request from  Jon Philips.